Skip to main content
`Ctrl`+`K`

# SNESComputeNGS

Calls the Gauss-Seidel function that has been set with `SNESSetNGS()`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESComputeNGS(SNES snes, Vec b, Vec x)

Collective

## Input Parameters

- snes - the `SNES` context

- x - input vector

- b - rhs vector

## Output Parameter

- x - new solution vector

## Note

`SNESComputeNGS()` is typically used within composed nonlinear solver implementations, so most users would not generally call this routine themselves.

## See Also

SNES: Nonlinear Solvers, `SNESNGSFn`, `SNESSetNGS()`, `SNESComputeFunction()`, `SNESNGS`

## Level

developer

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages